# Configuring Collaboration Experience

Follow the steps below, which may vary depending on your specific setup and needs, to configure Collaboration Experience.

## Configuring Collaboration Experience for Microsoft Teams <a href="#configuringcollaborationexperience-configuringcollaborationexperienceformicrosoftteams" id="configuringcollaborationexperience-configuringcollaborationexperienceformicrosoftteams"></a>

1. Configure the [Connector for Microsoft Teams](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-microsoft-teams.md).
2. Configure the [Connector for Entra ID (Azure AD)](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-microsoft-entra-id-azure-ad.md). You must map at least one field for the connector to work.
3. If you have macOS devices as part of your IT infrastructure:
   * Configure the [Connector for Entra ID (Azure AD)](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-microsoft-entra-id-azure-ad.md). You must map at least one field for the connector to work.
   * Activate the [UPN reporting in Collector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/configuring-collector-level-anonymization.md) using either the clear or hashed option. If you do not have any macOS devices, skip to step 4.
   * UserUPN needs to be configured on the mac devices via Jamf connect.
4. Import the *Call Quality Diagnosis - MS Teams and Zoom* from [Nexthink Library](/platform/user-guide/nexthink-library.md).

## Configuring Collaboration Experience for Zoom <a href="#configuringcollaborationexperience-configuringcollaborationexperienceforzoom" id="configuringcollaborationexperience-configuringcollaborationexperienceforzoom"></a>

1. Configure the [Connector for Zoom](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-zoom.md).
2. Contact [Nexthink Support](https://support.nexthink.com/) to activate the related feature flag.
3. Configure the [Connector for Entra ID (Azure AD)](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-microsoft-entra-id-azure-ad.md). You must map at least the email address field.
4. If you have macOS devices as part of your IT infrastructure, activate the [UPN reporting in Collector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/configuring-collector-level-anonymization.md) using either the clear or hashed option. If you do not have any macOS devices, skip to step 5.
5. Import the *Call Quality Diagnosis - MS Teams and Zoom* from [Nexthink Library](/platform/user-guide/nexthink-library.md).

## Configuring Collaboration Experience for Microsoft Teams Rooms <a href="#configuringcollaborationexperience-meetingrooms" id="configuringcollaborationexperience-meetingrooms"></a>

### Install Nexthink Collector on devices running Microsoft Teams Rooms

Collaboration Experience helps you troubleshoot call quality issues on Windows devices running Microsoft Teams Rooms. To collect data from a device:

* Log in as an administrator on the device.
* Install Nexthink Collector on the device following the procedure described in [Installing Collector on Windows](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md).

### Configure complementary library content

To ensure comprehensive data collection and visualization in the **MS Teams Rooms** dashboard, install the *MS Teams rooms essentials* library pack from Nexthink Library. Once the library pack is successfully installed, configure the library content as follows:

<details>

<summary><strong>Remote actions</strong></summary>

* Locally schedule the following remote actions:
  * *Get Microsoft Teams rooms application status* (every 10 minutes)
  * *Get Microsoft Teams rooms hardware status* (every 10 minutes)
  * *Get Microsoft Teams rooms process status* (every 10 minutes)
* Centrally schedule the *Get Microsoft Teams rooms connected devices* remote action (once a day).

Use the following query to target devices with Microsoft Teams Rooms:

{% code overflow="wrap" lineNumbers="true" %}

```
devices 
| with collaboration.sessions 
| where participant_device.type = room_system or device.meeting_room_name != null
```

{% endcode %}

Refer to [Scheduling Remote actions](/platform/user-guide/remote-actions/getting-started-with-remote-actions/managing-remote-actions/scheduling-remote-actions.md) for more information.

</details>

<details>

<summary><strong>Custom field</strong></summary>

Use the *Meeting room name* library [Custom field](/platform/user-guide/administration/content-management/custom-fields-management.md) to tag devices with easily identifiable meeting room names.

Refer to [Setting values for manual custom fields](/platform/user-guide/administration/content-management/custom-fields-management.md#customfieldsmanagement-settingvaluesformanualcustomfieldssetvalues) for more information.

</details>

{% hint style="info" %}
Refer to the [Getting started with Collaboration Experience](/platform/user-guide/collaboration-experience/getting-started-with-collaboration-experience.md#gettingstartedwithremoteactions-whatarethepermissionsrequiredtouseremoteactions) documentation for information on granting users permission to use Collaboration tools.
{% endhint %}

***

RELATED TOPICS:

[Getting started with Collaboration Experience](/platform/user-guide/collaboration-experience/getting-started-with-collaboration-experience.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/user-guide/collaboration-experience/configuring-collaboration-experience.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
